Skip to main content
GET
/
networks
/
offerurls
/
{offerUrlId}
Get Offer URL by ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/offerurls/{offerUrlId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_offer_url_id": 123,
  "network_id": 123,
  "network_offer_id": 123,
  "name": "<string>",
  "destination_url": "<string>",
  "preview_url": "<string>",
  "url_status": "active",
  "network_affiliate_ids": [
    123
  ],
  "is_apply_specific_affiliates": true,
  "is_hidden_affiliate": true,
  "time_created": 123,
  "time_saved": 123
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

offerUrlId
integer
required

The offer URL ID.

Response

200 - application/json

OK

network_offer_url_id
integer

Unique offer URL ID.

network_id
integer

Network ID.

network_offer_id
integer

The associated offer ID.

name
string

Descriptive name for this offer URL.

destination_url
string

The destination URL where traffic is sent.

preview_url
string

Preview URL for the offer landing page.

url_status
enum<string>

Status of the offer URL.

Available options:
active,
paused,
deleted
network_affiliate_ids
integer[]

Array of affiliate IDs allowed to use this URL.

is_apply_specific_affiliates
boolean

Whether this URL is restricted to specific affiliates.

is_hidden_affiliate
boolean

Whether this URL is hidden from affiliates.

time_created
integer

Unix timestamp of creation.

time_saved
integer

Unix timestamp of last update.